using System.Collections.ObjectModel;
using InABox.Core;

namespace InABox.Avalonia.Platform;

public class DefaultBluetooth : IBluetooth
{
    public Logger? Logger { get; set; }

    public async Task<bool> IsAvailable()
    {
        return await Task.FromResult(false);   
    }
    
    public async Task<bool> StartScanningAsync(Guid configServiceid)
    {
        return await Task.FromResult(false);
    }
    
    public async Task<bool> StopScanningAsync()
    {
        return await Task.FromResult(false);
    }

    public async Task<IConnectedBluetoothDevice?> Connect(IBluetoothDevice device)
    {
        return await Task.FromResult<IConnectedBluetoothDevice?>(null);
    }
    
    public async Task<bool> Disconnect(IConnectedBluetoothDevice device)
    {
        return await Task.FromResult<bool>(true);
    }

    public event EventHandler? Changed;
    
    public CoreObservableCollection<IBluetoothDevice> Devices { get; } = new();
}